import { GridRenderEditCellParams } from "@mui/x-data-grid-premium";
import { ReactElement } from "react";
import { NerdCurrencyFieldProps } from "./nerdCurrencyField";
/**
 *
 * @param {object} props Component props
 * @param {GridRenderEditCellParams} props.cellParams Cell Params
 * @param {NerdCurrencyFieldProps} props.nerdCurrencyFieldProps NerdCurrencyFieldProps
 * @returns {ReactElement} NerdCurrencyFieldDataGridAdapter
 */
export declare function NerdCurrencyFieldDataGridAdapter(props: {
    cellParams: GridRenderEditCellParams;
    nerdCurrencyFieldProps?: NerdCurrencyFieldProps;
}): ReactElement;
