/// <reference types="react" />
export interface INerdPaginator {
    rowsPerPage: number;
    page: number;
    handleChangeRowsPerPage: (event: React.ChangeEvent<HTMLInputElement | HTMLTextAreaElement>) => void;
    handleChangePage: (event: React.MouseEvent<HTMLButtonElement> | null, newPage: number) => void;
    rowPageOptions: number[];
    selectPages: number[];
    disabledNext: boolean;
}
export interface CustomArrowProps {
    onPageChange: (event: React.MouseEvent<HTMLButtonElement, MouseEvent>, newPage: number) => void;
    page: number;
    disabledNext: boolean;
    selectPages?: number[];
}
export declare enum nerdPaginationAuxContent {
    Rows = "Rows"
}
