import { PayloadAction } from "@reduxjs/toolkit";
import { AppState } from "../appState";
export interface NerdHistoryState {
    open: boolean;
    openKey: string;
}
export declare const nerdHistory: import("@reduxjs/toolkit").Slice<NerdHistoryState, {
    setNerdHistoryOpen: (state: import("immer/dist/internal").WritableDraft<NerdHistoryState>, action: PayloadAction<boolean>) => import("immer/dist/internal").WritableDraft<NerdHistoryState>;
    setNerdHistoryOpenKey: (state: import("immer/dist/internal").WritableDraft<NerdHistoryState>, action: PayloadAction<string>) => import("immer/dist/internal").WritableDraft<NerdHistoryState>;
}, "nerdHistory">;
export declare const setNerdHistoryOpen: import("@reduxjs/toolkit").ActionCreatorWithPayload<boolean, "nerdHistory/setNerdHistoryOpen">, setNerdHistoryOpenKey: import("@reduxjs/toolkit").ActionCreatorWithPayload<string, "nerdHistory/setNerdHistoryOpenKey">;
export declare const nerdHistoryReducer: import("redux").Reducer<NerdHistoryState, import("redux").AnyAction>;
export declare const nerdHistoryOpenSelector: ((state: AppState) => boolean) & import("reselect").OutputSelectorFields<(args_0: boolean) => boolean, {
    clearCache: () => void;
}> & {
    clearCache: () => void;
};
